Support more complex logic for template locking
Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5752

  

Description

When importing a template, its lock is based on :lock option we pass to importing method. This implies we know whether we want to

lock/unlock a template, but does not support more advanced logic based on template itself. For example, we may not want to change

the locks for existing templates and keep them as they are. This is not possible at the moment.

Associated revisions

Revision 21b5f511 - 09/01/2018 01:10 PM - Ondřej Pražák

Fixes #24102 - Allow more complex logic for template locks

History

#1 - 06/28/2018 11:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5752 added

#2 - 09/01/2018 01:10 PM - Anonymous

- Fixed in Releases 1.20.0 added

#3 - 09/01/2018 02:02 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset 21b5f5117ac605714f06afdf8ee5c584cdc66040.

#4 - 10/15/2018 11:20 AM - Tomer Brisker

- Category set to Templates
